Page MenuHomePhabricator

Communication workflows between WMF Product teams and Wikimedia communities
Closed, ResolvedPublic

Related Objects

Event Timeline

Keegan created this task.Apr 5 2016, 7:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2016, 7:58 PM
Qgil renamed this task from Goal Q4: Communication workflows between WMF Product teams and Wikimedia communities to Communication workflows between WMF Product teams and Wikimedia communities.Apr 6 2016, 9:17 AM
Qgil triaged this task as Normal priority.
Qgil updated the task description. (Show Details)
  • Product page template reflecting Product Development Product status and history.
    • Discussed this with @Quiddity last week, we'll likely try some navbox-type experiments next month (May)
  • Agreement on when and how Product teams communicate.
    • Drafting both narrative and list forms of this to complete this month (April)
  • Agreement on when and how communities provide feedback.
    • Drafting list form (April)
  • Plan to expand communication with tech ambassadors and translators.
    • Note to self: schedule meeting with @Trizek-WMF and @Johan (at least) for this portion

@Trizek-WMF I'm not sure I'd define T113490 as a blocker - that task is more of a feature than a bug, I think.

Elitre added a subscriber: Elitre.Apr 14 2016, 11:17 AM
  • Product page template reflecting Product Development Product status and history.
    • Discussed this with @Quiddity last week, we'll likely try some navbox-type experiments next month (May)

T115853: Every WMF engineering team should have a "Contact" section on its wiki page can be added to this navbox.

Qgil updated the task description. (Show Details)Jun 7 2016, 11:08 AM
Qgil added a comment.Jun 8 2016, 12:27 PM

The tech ambassadors have been removed from the measurements of success. Can you share the rationale, please?

Also, I don't see the direct relation between "Plan to expand communication (of Product communications) with translators", T137231 and the Translation strategy on the works. Can you explain this relation, please?

The tech ambassadors have been removed from the measurements of success. Can you share the rationale, please?

Tech ambassadors, as exists now, is not an actual program of any substance, nor is there any real "community" around the concept. As such, they have been removed as they are not a real group in any meaningful sense we can work with at the moment - it's just a mailing list.

Also, I don't see the direct relation between "Plan to expand communication (of Product communications) with translators", T137231 and the Translation strategy on the works. Can you explain this relation, please?

The ideas that Johan and Benoit are working on relate to improving the working environment that translators have, which in theory is going to create a more robust communication loop with translators as they find their workflow improved, and have a higher capacity to contribute in technical areas.

Qgil updated the task description. (Show Details)Jun 14 2016, 11:44 AM
Qgil updated the task description. (Show Details)
Qgil updated the task description. (Show Details)
Qgil added a comment.Jun 14 2016, 11:57 AM

I have brought back the measurements of success to the description of this goal, not to forget about what we committed initially. New findings during the development of a task are natural and we don't need to get stuck with these measurements of success, but we cannot forget about them either.

About "Product page template reflecting project status and history", let's discuss in T137226.

About "Plan to expand (Product) communication with tech ambassadors and translators"

  • I was hoping that this goal with this measurement of success would actually help us figure out what to do with tech ambassadors, or at least start the discussion. I guess we all agree that the current situation is not satisfactory. I think the minimum we could do for this goal is to have a recommendation about the tech-ambassadors mailing list, what it is and when to use it. We cannot just remove them from the picture of "Communication workflows between WMF Product teams and Wikimedia communities"
  • About translators, I do see the generic link between a plan to expand (Product) communication with translators and the Translation strategy Johan and Benoît are working on. What I don't see is the plan itself in T137231 or https://meta.wikimedia.org/wiki/User:Johan_(WMF)/Translation_strategy, something that will allow us to tick the box of that measurement of success by the end of this month. The minimum expected would be (I guess) a recommendation for Product teams introducing the basics of volunteer translators, their workflows, and how to work with them.

I have brought back the measurements of success to the description of this goal, not to forget about what we committed initially. New findings during the development of a task are natural and we don't need to get stuck with these measurements of success, but we cannot forget about them either.
About "Product page template reflecting project status and history", let's discuss in T137226.
About "Plan to expand (Product) communication with tech ambassadors and translators"

  • I was hoping that this goal with this measurement of success would actually help us figure out what to do with tech ambassadors, or at least start the discussion. I guess we all agree that the current situation is not satisfactory. I think the minimum we could do for this goal is to have a recommendation about the tech-ambassadors mailing list, what it is and when to use it. We cannot just remove them from the picture of "Communication workflows between WMF Product teams and Wikimedia communities"
  • About translators, I do see the generic link between a plan to expand (Product) communication with translators and the Translation strategy Johan and Benoît are working on. What I don't see is the plan itself in T137231 or https://meta.wikimedia.org/wiki/User:Johan_(WMF)/Translation_strategy, something that will allow us to tick the box of that measurement of success by the end of this month. The minimum expected would be (I guess) a recommendation for Product teams introducing the basics of volunteer translators, their workflows, and how to work with them.

Johan, Benoit and I were under the impression that this was about helping translators make their jobs easier. If this task is now about a set of internal recommendations then I don't believe the task, as it was created, was a viable one. We do not have the focus of infrastructure to create the tech ambassadors as a community, the translators do not exist as one, and pages on how to have things translated and get in touch with translators exists. Getting translations is probably the most well documented, and easiest thing, for a product team to do.

Don't you think the best ambassadors may be the translators?

Don't you think the best ambassadors may be the translators?

Excellent point, yes, I've said that for awhile. They're learning about technical changes when translating tech news, what could be better than that?

Qgil added a comment.EditedJun 15 2016, 8:21 AM

One lesson learned here is that we need to discuss our goals and measurements of success better as they are being proposed and agreed. We have been relying too much on the assumption that we are on the same page when reading the same sentence.

The goal is "Communication workflows between WMF Product teams and Wikimedia communities" being documented as recommendation in the Technical Collaboration Guideline. The measurement of success about "Plan to expand (Product) communication with tech ambassadors and translators" is intended to reflect what is the role of tech ambassadors and translators in those workflows.

Currently https://www.mediawiki.org/wiki/Technical_Collaboration_Guideline/Milestone_communication doesn't mention tech ambassadors or translators at all. They are not included in that picture. Yet they exist, and we interact with them regularly, and we can agree that without them the communication workflows from WMF Product to Wikimedia communities would be seriously hampered.

This measurement of success is about recommending the best plan for development teams with the reality we have today, not about about improving that reality before the end of this quarter. If tech ambassadors is today "just a mailing list", then the TCG can explain that such mailing list exists, what it is useful for, and when to use it. Same for translators.

Does this make sense? I am not sticking to this measurement of success just because "we said so", but because I do believe the arguments above are sensible, achievable even before the end of this month, and would bring a tangible improvement to the TCG.

It does make sense. I'll come up with the prototype at least, and if product teams are not interested/do not follow along then that is out of my control.

The "Plan to expand (Product) communication with tech ambassadors and translators" is going to largely take place in the Translation section of the TCG. Bones of the project is in T138436: Technical Collaboration Guideline - translations; I think this might satisfy the criteria for the bullet point being completed.

The "Plan to expand (Product) communication with tech ambassadors and translators" is going to largely take place in the Translation section of the TCG. Bones of the project is in T138436: Technical Collaboration Guideline - translations; I think this might satisfy the criteria for the bullet point being completed.

Added to Milestone Communication: https://www.mediawiki.org/wiki/Technical_Collaboration_Guideline/Milestone_communication#Translations

Keegan closed this task as Resolved.Jun 28 2016, 6:39 PM

Sub-tasks for this quarter's work are done. Next quarter is already more clearly scoped and organized. Closing.

Qgil awarded a token.Jun 28 2016, 9:00 PM